LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XUniqueIDAccess Interface Referencepublished

makes it possible to access contents via a unique ID. More...

`import"XUniqueIDAccess.idl";`

Inheritance diagram for XUniqueIDAccess:

## Public Member Functions
any | getByUniqueID ([in] string ID) raises ( com::sun::star::container::NoSuchElementException )
void | removeByUniqueID ([in] string ID) raises ( com::sun::star::container::NoSuchElementException )
| removes the element with the specified unique ID from this container. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to access contents via a unique ID.

## Member Function Documentation

## ◆ getByUniqueID()

any getByUniqueID | ( | [in] string | ID | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

Returns
  the element with the specified unique ID.

## ◆ removeByUniqueID()

void removeByUniqueID | ( | [in] string | ID | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

removes the element with the specified unique ID from this container.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XUniqueIDAccess.idl